#!/bin/sh -e
#  /usr/lib/emacsen-common/packages/install/yatex
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="yatex"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp


case "${FLAVOR}" in

    *)

	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."

	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}

	# Byte compile
	(
	    cd ${ELDIR}

	    make EMACS=${FLAVOR} EMACSDIR=/usr/share/${FLAVOR} \
		bytecompile-nw > ${ELCDIR}/CompilationLog 2>&1

	    install -v -m 644 *.el *.elc ${ELCDIR} \
		>> ${ELCDIR}/CompilationLog 2>&1

	    make clean >> ${ELCDIR}/CompilationLog 2>&1

	    cd ${ELCDIR}
	    rm -f ${PACKAGE}-init.{el,elc}
	    rm -f vine-default-${PACKAGE}.elc vine-default-yahtml.elc
	)

	gzip -9 ${ELCDIR}/CompilationLog

	if [ ! -d ${STARTDIR} ]; then
	    install -m 755 -d ${STARTDIR}
	fi

	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};

	echo " done."

	;;

esac

exit 0;
